Subject: Re: Shuffle those deck chairs!

From: "Rodel Collado Urani" <[email-masked]>
Date: Fri, 15 Oct 2004 06:51:23 -0700

I cant think of some brillant ideas that commercial products will definitely
crash the open source products if it can deliver services as what the
commercial does. IPR protection is highly regarded, that is the presence
of GPL and is necessary for open source not to be copied by its commercial
competitors. The question is, is the open source software has its competitive
uniqueness over the commercial products? If yes then GPL is in the right
way, but if not then better yet to improved first and protect them later
on.

Open source products composed of people in the world if not in a big
organization, working and trying to transcend the capabilities of such
commercial products.

On Fri, 15 Oct 2004 00:52:38 -0700 shogunx <[email-masked]>
wrote:
>On Fri, 15 Oct 2004, Nathaniel Borenstein wrote:
>
>> This strikes me as oversimplistic.  What if a commercial enterprise
>> wanted to license its IPR in such a way that it put no constraints
>on
>> open source, but retained constraints on commercial competitors?
> I'm
>> not sure you can get around a technical mandate for some kind
>of
>> license and still retain those options.  -- Nathaniel
>
>I can cite an example of a commercial enterprise with copyrighted
>GPL'd
>products who has some emasures to prevent this.  They sell clusters,

> and
>distribute the source code directly only to customers.  If you are
>an
>open source programmer, get to know them, and ask nicely, they will
>give
>you a copy for your purposes... i.e. if you want to "roll your own"
>cluster.  One could also probably acquire a copy from one of their
>customers, but a vast majority of their solution is hardware also,
> in the
>form of master node and diskless processing nodes.
>
>
>>
>> On Oct 13, 2004, at 10:55 PM, Eric S. Raymond wrote:
>>
>> > Sam Hartman <[email-masked]>:
>> >> I think it would be wonderful if the free software community
>could
>> >> come to a consensus about what their requirements are.
>> >
>> > That's not hard.  We need licensing conditions that don't require
>us
>> > to either pay royalties or sign legal papers, and which don't
>inhibit
>> > re-use of the code by restricting the area of application.
>> > --
>> > 		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>
>> >
>> > _______________________________________________
>> > Ietf mailing list
>> > [email-masked]
>> > https://www1.ietf.org/mailman/listinfo/ietf
>> >
>> >
>>
>>
>> _______________________________________________
>> Ietf mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/ietf
>>
>
>sleekfreak pirate broadcast
>http://sleekfreak.ath.cx:81/
>
>
>_______________________________________________
>Ietf mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ietf
RODEL COLLADO URANI

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Thomas Gal" <[email-masked]>
Date: Fri, 15 Oct 2004 12:34:38 -0700

Agreed,
	I'm never using the term IP again unless it's internet protocol.
What I meant indeed was patents in the context of software.
	I Should NOT have made the assumption in this crowd, though I think
everyone agrees, that nobody here is really talking about trademarks (which
obviously is about reputation from the holders perspective) and
copyrights(i.e. stealing code directly).

-Tom

> -----Original Message-----
> From: Dean Anderson [mailto:[email-masked]] 
> Sent: Friday, October 15, 2004 12:13 PM
> To: Ted Faber
> Cc: Iljitsch van Beijnum; [email-masked]; [email-masked]
> Subject: Re: Shuffle those deck chairs!
> 
> There are very good arguments as to why "intellectual property" and
> derivatives should be avoided as a term.   One should talk 
> instead about 
> patents, copyrights and trademarks instead. The issues 
> represented by the three are substantially different among 
> the three and they can't be successfully generalized.
> 
> To illustrate the inappriateness of the "intellectual 
> property" as a term, all we have to do is examine the current 
> state of patents, copyrights, and
> trademarks:  It is unlikely that Patents are on the way out. 
> It may be that software patents are on the way out. It may be 
> that biotech patents are on the way out.  It is unlikely the 
> copyrights are on the way. It may be that copyright abuse may 
> be limited.  It is unlikely that trademarks are on the way out.
> 
> 		--Dean
> 
> 
> On Tue, 12 Oct 2004, Ted Faber wrote:
> 
> > On Tue, Oct 12, 2004 at 09:44:02PM +0200, Iljitsch van 
> Beijnum wrote:
> > > On 12-okt-04, at 19:36, Thomas Gal wrote:
> > > 
> > > >and IP is on it's way out
> > > 
> > > Please note that in the IETF the letters "IP" first and foremost 
> > > mean "Internet Protocol". To use them for something else 
> is confusing.
> > 
> > To forestall the question, when communicating with the IETF one 
> > shortens "intellectual property" to "IPR."  You can pretend it 
> > abbrieviates "Intellectual Property Rights" or 
> "Intellectual PRoperty."
> > It replaces both phrases in discourse and writing.
> > 
> > 
> 
> -- 
> Av8 Internet   Prepared to pay a premium for better service?
> www.av8.net         faster, more reliable, better service
> 617 344 9000   
> 
>

---

From: "RL 'Bob' Morgan" <[email-masked]>
Date: Fri, 15 Oct 2004 16:33:03 -0700 (PDT)

On Fri, 15 Oct 2004, Brian Rosen wrote:

> This text does not seem to cover what we usually encounter in protocol 
> development.  What happens is that you claim a patent that would be 
> infringed by implementing the protocol.  Another company has its own 
> patent that it also claims would be infringed by implementing the 
> protocol.  You are willing to grant a worldwide, royalty free license to 
> the patent to anyone, including the other company, so long as the other 
> company doesn't try to force you to pay a royalty or take out a more 
> restrictive license to his patent.
>
> Take a look at:
> http://www.ietf.org/ietf/IPR/DYNAMICSOFT-SIMPLE.txt
>
> for an example.

I'm trying to understand the distinction you're making here.  A licensor 
who distributes some code using, say, the Apache 2.0 license, gives (in 
section 3) a patent license to those using the code, but terminates that 
license for parties that initiate patent litigation of their own about the 
code.  An IETF IPR disclosure such as the one you cite above isn't a 
software license, but it seems like the intent is exactly the same.  Can 
you clarify?

(Actually, the Dynamicsoft statement is much broader, since it says "a 
patent or other intellectual property right", meaning that if I sue 
Dynamicsoft for violating my trademark I lose my patent license.  This 
seems like a gratuitous mixing of different IPR domains, but I'll bet 
NOUIAL, so I'll stop there.)

  - RL "Bob"

---

From: "Thomas Gal" <[email-masked]>
Date: Tue, 19 Oct 2004 15:56:05 -0700

Wow....... 

> > I hate it when elected politicans presume to speak for me.  
> I will not 
> > sit quietly and let self-appointed individuals try the 
> same.  *DO NOT* 
> > tell me to my face that you are negotiating on my behalf or 
> even just 
> > for 95% of the other people who write or have written software that 
> > might be called "open" by virtue of being freely 
> redistributable and 
> > in use by lots of people until you can can point to the 
> results of a 
> > real plebiscite.  Even then, you won't be speaking for me until I 
> > personally and explicitly say so.
> 
> There's been no plebiscite, of course.  However, web content 
> analyses and surveys of the licenses used at sites like 
> SourceForge and ibiblio paint a pretty consistent picture of 
> who developers consider the authorities on licensing and IPR 
> best practice.  Those authorities are FSF and OSI.
> 

	Perhaps what you neglect is overlooked closed mindedness. It appears
these organizations are the refuge of the developers who wish to force their
narrow minded view of software right and wrong upon the masses. Many of the
greatest contributions to software are the product of truly free software.
Software with no demands as to it's further use. It seems to me incredibly
refreshing that the IETF is able to step back and realize that both camps
are just that, sides of an argument. The IETF freely distributes its
documents and insists on nothing but disclosure of limitations, as opposed
to demanding that anything be a certain way. If you give something with
strings attached it is NOT giving, but a transaction, and therefore NOT
free.
	I find it interesting that you would reference surveys of licenses
on sites(2) as justification for any claim beyond what it is. What you say
is analagous to a survey that says devout christians vote republican being
applied to the population as a whole, and wreaks of politics. It seems you
have no notion of the law of large numbers and have NO formal concept of
population sampling theory, otherwise you wouldn't make egregious claims of
grasping, much less representing the open source developer community as a
whole (I'll not mention at all my distaste for your claim of being able to
represent myself personally). Once again it's very nice to see the IETF say
that people are just that, people. Clearly your desire to be an 800 pound
gorilla and carry the respect of more than 1 person is directly at odds with
accepted IETF philosophy, and I don't need contrived statistcs to make that
claim, because it's in an RFC that was reached by consensus. Do you think
your claims could make it through the same rigorous screening process? Could
we get an RFC titled "Eric Raymond Represents Open source community to IETF"
passed? Or even "FSF and OSI represent defacto Open Source Beliefs"? I think
not, so perhaps this is the wrong forum to try to make such claims.

> While I respect your desire that I not represent you (or 
> claim to), the reality is that people outside our community 
> are generally going to behave as if I do.  OSI as an 
> organization, and I as an individual, had to build that 
> reputation in order to represent *anybody* effectively, let 
> alone the large number of developers that want us to.  
> And this was a job that needed doing, so I won't apologize 
> for taking it on.
> 
> I do in fact believe I have your best interests at heart; 
> this is a safe thing for me to believe, because I have no 
> actual power over you.
> I do not require that you trust me, though that would be 
> nice.  Many people do trust me and don't seem to have been 
> harmed by it.
>  
> You're a typical member of the 5%, in that what bothers you 
> is not policies or the effects of what we do, but our implied 
> claim to represent you.  I do not presume to criticize your 
> position, but neither am I going to abandon my duty to 
> hackers who *do* want OSI to represent them on any single 
> refusenik's say-so.

	Perhaps the desire is that you comment on your reality and leave
others' reality to them. Perhaps what's lacking is a clear definition of
respect.
	Do you think you represent acadamia? You seem to ignore the
underpinnings of open source which came from the scientific ideology of peer
review and sharing for the good and knowledge of all. How odd that acadamia
often chooeses BSD style licenses. How odd that folks in acadamia value
sharing over evangalizing open source on everybody. 
	Do you think you represent hardware makers that write open source
products to aid developers and induce hardware sales? 
	Do you think you represent Folks who work at proprietary sofware
companies by day, and come home to donate their time to the open source
community

	If you truly believe that you have my best interests at heart and
have the right to represent ME than there's probably nothing anyone can do
to shake that. I however will happily tell you otherwise, and than continue
to read down this discussion curiously to see how many people jump to your
banner, and how many people respond as I did. As for my self, hopefully, I
came forward with some thought provoking logic and ideas that people who
consider themselves intellectuals can analyze and grow from. I DO NOT, as
you demonstrate, hope to achieve my ends through politiking, propaganda,
intimidation, and unvalidated claims. To me all it seems you're doing is
putting a lot of effort into margnializing everyone else to achieve your
ends in a forum where you'll probably succeed at little else than
marginalizing yourself. From what I've read it seems that neither the
greater good nor progress even come close to mattering compared to your
"duty to hackers". Great.

Tom

---

From: "Fleischman, Eric" <[email-masked]>
Date: Thu, 21 Oct 2004 09:53:56 -0700

Well said, Joel. 

At one time, the Internet was a child and needed to be tended by its
parent in order for it to survive. Now it is considerably bigger and
stronger than its parent. Of course, the parent continues to seek how to
most appropriately help its huge offspring. My own feeling is that the
Internet is too big, diverse, and needy for any one group -- including
its parent -- to meet its needs. The IETF is a useful forum for protocol
and technology development, which is one of the important facets
required by the Internet. By faithfully leveraging this strength we can
assist the Internet. Other groups have other strengths which I hope they
will use for the benefit of all. 

-----Original Message-----
From: Joel M. Halpern [mailto:[email-masked]] 
Sent: Thursday, October 21, 2004 9:01 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: Shuffle those deck chairs!

I think this is seriously miscontrueing the situation. Different groups
participate in the success of the internet in different ways. I have no
objection to Debian, Apache, Nortel, or Cisco fighting patents 
which they believe hurt the internet.
That fight is not the job the IETF has demonstrated skill at, or
interest in. It is not an end-run of the IETF for another organization
to do something 
the IETF is not interested in doing.
It is not a threat to the internet or the IETF for other organizations
to 
help seek the best interest of the internet.  In fact it is necessary.

And I personally would be very unhappy if the IETF were dragged into the

philosophical and legal argument as to whether patents qua patents
(whether 
restricted to software or all inventsion) are a good idea, a bad idea, a

good idea gone bad, or some other view.  The IETF is not the forum for 
promoting or advancing such views.

Yours,
Joel M. Halpern

At 10:59 AM 10/21/2004 -0400, Eric S. Raymond wrote:
>Brian E Carpenter <[email-masked]>:
> > I don't think we can require the IESG to negotiate anything. There 
> > are all kinds of legal issues there. To my knowledge, both WGs and 
> > the IESG do think carefully about this, but often conclude that the 
> > default IETF conditions (RAND) are realistic and acceptable.
>
>If IETF continues to believe this, groups like Apache and Debian will 
>continue to have to end-run IETF by doing the job of defending the 
>Internet commons that IETF is abdicating, and IETF's authority will 
>evaporate.
>
>It is not 1982 or even 1992 any more.  Conditions have changed 
>dramatically. I would hate to see IETF dwindle into irrelevance, but 
>that is exactly where statements like this are pointing.
>--